#include <stdbool.h>
#include <stdint.h>
#include <SPI.h>
#include "Melody_LDC1000.h"
uint16_t proximity = 0;
uint32_t frequency = 0;
void setup()
{
  // put your setup code here, to run once:
  Serial.begin(115200);
  MelodyLDC1000.begin();
}
void loop()
{
  // put your main code here, to run repeatedly:
  if(MelodyLDC1000.available())
  {
    proximity = MelodyLDC1000.getProximity();
    frequency = MelodyLDC1000.getFrequency();
    Serial.print("Proximity:");
    Serial.print(proximity);
    Serial.print("\t\tFrequency:");
    Serial.print(frequency);
    Serial.print("\t\tInductance:");
    Serial.println(MelodyLDC1000.calcInductance(frequency));
  }
}
