#ifndef __MELODY_LED_H__
#define __MELODY_LED_H__

static const uint8_t Maxbright = 100;                     //最大亮度，将亮度值映射为0~100
static const uint8_t LEDport = 40;                        //在原理图上LED都使用PWM1,PIN_02

class CMelodyLED
{
    private:
        uint8_t m_bright;
        uint8_t calcOutputDuty(uint8_t bright);
    public:
        CMelodyLED();
        CMelodyLED(uint8_t bright);
        void begin();
        void begin(uint8_t bright);
        void setBright(uint8_t bright);
        uint8_t getBright();
};
extern  CMelodyLED MelodyLED;
#endif //__MELODY_LED_H__