#include <stdbool.h>
#include <stdint.h>
#include "Wire.h"
#include "Melody_HDC1080.h"
void setup()
{
  // put your setup code here, to run once:
  Serial.begin(115200);
  MelodyHDC1080.begin();
}

void loop()
{
  // put your main code here, to run repeatedly:
  Serial.println("-----------------------------------------");
  Serial.print("Manufacturer ID:0x");
  Serial.println(MelodyHDC1080.getManufacturerID(),HEX);
  Serial.print("Device ID:0x");
  Serial.println(MelodyHDC1080.getDeviceID(),HEX);
  Serial.print("Temperature:");
  Serial.println(MelodyHDC1080.getTemperature());
  Serial.print("Humidity:");
  Serial.println(MelodyHDC1080.getHumidity());
  Serial.println("-----------------------------------------\n\n");
  delay(1000);
}
