#include <stdbool.h>
#include <stdint.h>
#include "Wire.h"
#include "Melody_LiBattery.h"
void setup()
{
  // put your setup code here, to run once:
  MelodyLiBattery.begin();
  Serial.begin(115200);
}

void loop()
{
  // put your main code here, to run repeatedly:
  Serial.println("------------------------------------");
  Serial.print("Temperature:");
  Serial.print(MelodyLiBattery.getInternalTemperature());
  Serial.println(" 'C");
  Serial.print("Voltage:");
  Serial.print(MelodyLiBattery.getVoltage());
  Serial.println(" mV");
  Serial.print("Current:");
  Serial.print(MelodyLiBattery.getAverageCurrent());
  Serial.println(" mA");
  Serial.print("Remaining Capacity:");
  Serial.print(MelodyLiBattery.getRemainingCapacity());
  Serial.println(" mAH");
  Serial.print("State of charge:");
  Serial.print(MelodyLiBattery.getStateOfCharge());
  Serial.println(" %");
  Serial.println("------------------------------------");
  delay(2000);
}
